> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluents.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account connection



## OpenAPI

````yaml /openapi.yml get /v1/account_connections
openapi: 3.0.0
info:
  title: Fluents Hosted API
  description: |2-

            Fluents' Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  version: 1.0.0
  contact:
    name: Support
    url: https://fluents.com
    email: support@fluents.ai
servers:
  - url: https://api.fluents.ai
    description: Production
security:
  - bearer: []
tags: []
paths:
  /v1/account_connections:
    get:
      tags:
        - Account Connections
      operationId: AccountConnectionController_getAccountConnection
      parameters:
        - name: id
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountConnectionDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
components:
  schemas:
    AccountConnectionDto:
      type: object
      properties:
        id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        user_id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        label:
          type: string
          example: My Account Connection
        description:
          type: string
          example: This is a description
        type:
          enum:
            - account_connection_fluents_twilio
            - account_connection_twilio
            - account_connection_openai
            - account_connection_google
            - account_connection_azure_llm
            - account_connection_elevenlabs
            - account_connection_deepgram
            - account_connection_cartesia
            - account_connection_playht
            - account_connection_rime
            - account_connection_azure_speech
            - account_connection_assemblyai
            - account_connection_deepseek
            - account_connection_togetherai
            - account_connection_gladia
            - account_connection_telnyx
            - account_connection_un_pw_oauth
            - account_connection_login_key_oauth
            - account_connection_external_api_key
            - account_connection_sip
          type: string
          example: account_connection_twilio
        credentials:
          type: object
          example:
            twilio_account_sid: AC1234567890
            twilio_auth_token: '1234567890'
        steering_pool:
          example:
            - '+1234567890'
          type: array
          items:
            type: string
        account_supports_any_caller_id:
          type: boolean
          example: false
        config:
          type: object
          example:
            voicemail_detection: {}
      required:
        - id
        - user_id
        - type
        - credentials
        - config
    BadRequestError:
      type: object
      properties:
        message:
          type: string
        error:
          type: string
        statusCode:
          type: number
          example: 400
      required:
        - message
        - error
        - statusCode
    NotFoundError:
      type: object
      properties:
        message:
          type: string
        error:
          type: string
        statusCode:
          type: number
          example: 404
      required:
        - message
        - error
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````